> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payments.sardine.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Send bank information

> Simply populate the appropriate field in the plaidData object. Make sure to fill in the correct field corresponding to the correct Plaid API endpoint. For example, if you call the Plaid transactions API, you should set plaidData.transactionsResponse to be the JSON string containing the response. Note that the response fields in plaidData are all optional and you may populate as many or few as you would like, as long as an authResponse is sent at least once per account.

Important note: You must provide an authResponse at least once per customer bank account so that we can store the mapping from bank account to Plaid account ID.



## OpenAPI

````yaml /api_reference/nft.yaml get /banks/transactions
openapi: 3.1.0
info:
  version: '1.0'
  title: NFT API
  summary: API to enable direct NFT purchasing
  description: Reference for Sardine Crypto API
servers:
  - url: https://api.sandbox.sardine.ai/v1
    description: Sandbox
  - url: https://api.sardine.ai/v1
    description: Prod Server
security:
  - {}
paths:
  /banks/transactions:
    get:
      tags:
        - Banks
      summary: Send bank information
      description: >-
        Simply populate the appropriate field in the plaidData object. Make sure
        to fill in the correct field corresponding to the correct Plaid API
        endpoint. For example, if you call the Plaid transactions API, you
        should set plaidData.transactionsResponse to be the JSON string
        containing the response. Note that the response fields in plaidData are
        all optional and you may populate as many or few as you would like, as
        long as an authResponse is sent at least once per account.


        Important note: You must provide an authResponse at least once per
        customer bank account so that we can store the mapping from bank account
        to Plaid account ID.
      operationId: get-banks
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sessionKey:
                  type: string
                customerId:
                  type: string
                plaidData:
                  type: object
                  properties:
                    transactionsResponse:
                      type: object
                      properties:
                        accounts:
                          type: array
                          items:
                            type: object
                            properties:
                              account_id:
                                type: string
                              balances:
                                type: object
                                properties:
                                  available:
                                    type: integer
                                  current:
                                    type: integer
                                  iso_currency_code:
                                    type: string
                                  limit:
                                    type: 'null'
                                  unofficial_currency_code:
                                    type: 'null'
                              mask:
                                type: string
                              name:
                                type: string
                              official_name:
                                type: string
                              subtype:
                                type: string
                              type:
                                type: string
                        transactions:
                          type: array
                          items:
                            type: object
                            properties:
                              account_id:
                                type: string
                              amount:
                                type: integer
                              iso_currency_code:
                                type: string
                              unofficial_currency_code:
                                type: 'null'
                              category:
                                type: array
                                items:
                                  type: object
                              category_id:
                                type: string
                              check_number:
                                type: 'null'
                              date:
                                type: string
                              datetime:
                                type: 'null'
                              authorized_date:
                                type: string
                              authorized_datetime:
                                type: 'null'
                              location:
                                type: object
                                properties:
                                  address:
                                    type: string
                                  city:
                                    type: string
                                  region:
                                    type: string
                                  postal_code:
                                    type: string
                                  country:
                                    type: string
                                  lat:
                                    type: integer
                                  lon:
                                    type: integer
                                  store_number:
                                    type: string
                              name:
                                type: string
                              merchant_name:
                                type: string
                              payment_meta:
                                type: object
                                properties:
                                  by_order_of:
                                    type: 'null'
                                  payee:
                                    type: 'null'
                                  payer:
                                    type: 'null'
                                  payment_method:
                                    type: 'null'
                                  payment_processor:
                                    type: 'null'
                                  ppd_id:
                                    type: 'null'
                                  reason:
                                    type: 'null'
                                  reference_number:
                                    type: 'null'
                              payment_channel:
                                type: string
                              pending:
                                type: boolean
                              pending_transaction_id:
                                type: 'null'
                              account_owner:
                                type: 'null'
                              transaction_id:
                                type: string
                              transaction_code:
                                type: 'null'
                              transaction_type:
                                type: string
                        item:
                          type: object
                          properties:
                            available_products:
                              type: array
                              items:
                                type: object
                            billed_products:
                              type: array
                              items:
                                type: object
                            consent_expiration_time:
                              type: 'null'
                            error:
                              type: 'null'
                            institution_id:
                              type: string
                            item_id:
                              type: string
                            update_type:
                              type: string
                            webhook:
                              type: string
                        total_transactions:
                          type: integer
                        request_id:
                          type: string
                    authResponse:
                      type: object
                      properties:
                        accounts:
                          type: array
                          items:
                            type: object
                            properties:
                              account_id:
                                type: string
                              balances:
                                type: object
                                properties:
                                  available:
                                    type: integer
                                  current:
                                    type: integer
                                  iso_currency_code:
                                    type: string
                                  limit:
                                    type: 'null'
                                  unofficial_currency_code:
                                    type: 'null'
                              mask:
                                type: string
                              name:
                                type: string
                              official_name:
                                type: string
                              subtype:
                                type: string
                              type:
                                type: string
                        numbers:
                          type: object
                          properties:
                            ach:
                              type: array
                              items:
                                type: object
                                properties:
                                  account:
                                    type: string
                                  account_id:
                                    type: string
                                  routing:
                                    type: string
                                  wire_routing:
                                    type: string
                            eft:
                              type: array
                              items:
                                type: object
                                properties:
                                  account:
                                    type: string
                                  account_id:
                                    type: string
                                  institution:
                                    type: string
                                  branch:
                                    type: string
                            international:
                              type: array
                              items:
                                type: object
                                properties:
                                  account_id:
                                    type: string
                                  bic:
                                    type: string
                                  iban:
                                    type: string
                            bacs:
                              type: array
                              items:
                                type: object
                                properties:
                                  account:
                                    type: string
                                  account_id:
                                    type: string
                                  sort_code:
                                    type: string
                        item:
                          type: object
                          properties:
                            available_products:
                              type: array
                              items:
                                type: object
                            billed_products:
                              type: array
                              items:
                                type: object
                            consent_expiration_time:
                              type: 'null'
                            error:
                              type: 'null'
                            institution_id:
                              type: string
                            item_id:
                              type: string
                            update_type:
                              type: string
                            webhook:
                              type: string
                        request_id:
                          type: string
                    balanceResponse:
                      type: object
                      properties:
                        accounts:
                          type: array
                          items:
                            type: object
                            properties:
                              account_id:
                                type: string
                              balances:
                                type: object
                                properties:
                                  available:
                                    type: integer
                                  current:
                                    type: integer
                                  iso_currency_code:
                                    type: string
                              mask:
                                type: string
                              name:
                                type: string
                              official_name:
                                type: string
                              subtype:
                                type: string
                              type:
                                type: string
                        item:
                          type: object
                          properties:
                            available_products:
                              type: array
                              items:
                                type: object
                            billed_products:
                              type: array
                              items:
                                type: object
                            institution_id:
                              type: string
                            item_id:
                              type: string
                            products:
                              type: array
                              items:
                                type: object
                            update_type:
                              type: string
                            webhook:
                              type: string
                        request_id:
                          type: string
                    identityResponse:
                      type: object
                      properties:
                        accounts:
                          type: array
                          items:
                            type: object
                            properties:
                              account_id:
                                type: string
                              balances:
                                type: object
                                properties:
                                  available:
                                    type: integer
                                  current:
                                    type: integer
                                  iso_currency_code:
                                    type: string
                                  limit:
                                    type: 'null'
                                  unofficial_currency_code:
                                    type: 'null'
                              mask:
                                type: string
                              name:
                                type: string
                              official_name:
                                type: string
                              owners:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    addresses:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          data:
                                            type: object
                                            properties:
                                              city:
                                                type: string
                                              country:
                                                type: string
                                              postal_code:
                                                type: string
                                              region:
                                                type: string
                                              street:
                                                type: string
                                          primary:
                                            type: boolean
                                    emails:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          data:
                                            type: string
                                          primary:
                                            type: boolean
                                          type:
                                            type: string
                                    names:
                                      type: array
                                      items:
                                        type: object
                                    phone_numbers:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          data:
                                            type: string
                                          primary:
                                            type: boolean
                                          type:
                                            type: string
                              subtype:
                                type: string
                              type:
                                type: string
                        item:
                          type: object
                          properties:
                            available_products:
                              type: array
                              items:
                                type: object
                            billed_products:
                              type: array
                              items:
                                type: object
                            consent_expiration_time:
                              type: 'null'
                            error:
                              type: 'null'
                            institution_id:
                              type: string
                            item_id:
                              type: string
                            update_type:
                              type: string
                            webhook:
                              type: string
                        request_id:
                          type: string
                    assetsReportResponse:
                      type: object
                      properties:
                        report:
                          type: object
                          properties:
                            asset_report_id:
                              type: string
                            client_report_id:
                              type: string
                            date_generated:
                              type: string
                            days_requested:
                              type: integer
                            items:
                              type: array
                              items:
                                type: object
                                properties:
                                  accounts:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        account_id:
                                          type: string
                                        balances:
                                          type: object
                                          properties:
                                            available:
                                              type:
                                                - integer
                                                - 'null'
                                            current:
                                              type: integer
                                            iso_currency_code:
                                              type: string
                                            limit:
                                              type: 'null'
                                            unofficial_currency_code:
                                              type: 'null'
                                        days_available:
                                          type: integer
                                        historical_balances:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              current:
                                                type: integer
                                              date:
                                                type: string
                                              iso_currency_code:
                                                type: string
                                              unofficial_currency_code:
                                                type: 'null'
                                        mask:
                                          type: string
                                        name:
                                          type: string
                                        official_name:
                                          type:
                                            - string
                                            - 'null'
                                        owners:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              addresses:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    data:
                                                      type: object
                                                      properties:
                                                        city:
                                                          type: string
                                                        country:
                                                          type: string
                                                        postal_code:
                                                          type: string
                                                        region:
                                                          type: string
                                                        street:
                                                          type: string
                                                    primary:
                                                      type: boolean
                                              emails:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    data:
                                                      type: string
                                                    primary:
                                                      type: boolean
                                                    type:
                                                      type: string
                                              names:
                                                type: array
                                                items:
                                                  type: string
                                              phone_numbers:
                                                type: array
                                                items:
                                                  type: object
                                                  properties:
                                                    data:
                                                      type: string
                                                    primary:
                                                      type: boolean
                                                    type:
                                                      type: string
                                        ownership_type:
                                          type: 'null'
                                        subtype:
                                          type: string
                                        transactions:
                                          type: array
                                          items:
                                            type: object
                                        type:
                                          type: string
                                  date_last_updated:
                                    type: string
                                  institution_id:
                                    type: string
                                  institution_name:
                                    type: string
                                  item_id:
                                    type: string
                            user:
                              type: object
                              properties:
                                client_user_id:
                                  type: string
                                email:
                                  type: string
                                first_name:
                                  type: string
                                last_name:
                                  type: string
                                middle_name:
                                  type: string
                                phone_number:
                                  type: string
                                ssn:
                                  type: string
                        request_id:
                          type: string
                        warnings:
                          type: array
                          items:
                            type: object
              x-examples:
                example-1:
                  sessionKey: string
                  customerId: string
                  plaidData:
                    transactionsResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            iso_currency_code: string
                            limit: null
                            unofficial_currency_code: null
                          mask: string
                          name: string
                          official_name: string
                          subtype: string
                          type: string
                      transactions:
                        - account_id: string
                          amount: 0
                          iso_currency_code: string
                          unofficial_currency_code: null
                          category:
                            - {}
                          category_id: string
                          check_number: null
                          date: string
                          datetime: null
                          authorized_date: string
                          authorized_datetime: null
                          location:
                            address: string
                            city: string
                            region: string
                            postal_code: string
                            country: string
                            lat: 0
                            lon: 0
                            store_number: string
                          name: string
                          merchant_name: string
                          payment_meta:
                            by_order_of: null
                            payee: null
                            payer: null
                            payment_method: null
                            payment_processor: null
                            ppd_id: null
                            reason: null
                            reference_number: null
                          payment_channel: string
                          pending: true
                          pending_transaction_id: null
                          account_owner: null
                          transaction_id: string
                          transaction_code: null
                          transaction_type: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        consent_expiration_time: null
                        error: null
                        institution_id: string
                        item_id: string
                        update_type: string
                        webhook: string
                      total_transactions: 0
                      request_id: string
                    authResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            limit: null
                            iso_currency_code: string
                            unofficial_currency_code: null
                          mask: string
                          name: string
                          official_name: string
                          subtype: string
                          type: string
                      numbers:
                        ach:
                          - account: string
                            account_id: string
                            routing: string
                            wire_routing: string
                        eft:
                          - account: string
                            account_id: string
                            institution: string
                            branch: string
                        international:
                          - account_id: string
                            bic: string
                            iban: string
                        bacs:
                          - account: string
                            account_id: string
                            sort_code: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        consent_expiration_time: null
                        error: null
                        institution_id: string
                        item_id: string
                        update_type: string
                        webhook: string
                      request_id: string
                    balanceResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            iso_currency_code: string
                          mask: string
                          name: string
                          official_name: string
                          subtype: string
                          type: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        institution_id: string
                        item_id: string
                        products:
                          - {}
                        update_type: string
                        webhook: string
                      request_id: string
                    identityResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            iso_currency_code: string
                            limit: null
                            unofficial_currency_code: null
                          mask: string
                          name: string
                          official_name: string
                          owners:
                            - addresses:
                                - data:
                                    city: string
                                    country: string
                                    postal_code: string
                                    region: string
                                    street: string
                                  primary: true
                              emails:
                                - data: string
                                  primary: true
                                  type: string
                              names:
                                - {}
                              phone_numbers:
                                - data: string
                                  primary: true
                                  type: string
                          subtype: string
                          type: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        consent_expiration_time: null
                        error: null
                        institution_id: string
                        item_id: string
                        update_type: string
                        webhook: string
                      request_id: string
                    assetsReportResponse:
                      report:
                        asset_report_id: bf3a0490-344c-4620-a219-2693162e4b1d
                        client_report_id: 123abc
                        date_generated: '2020-06-05T22:47:53Z'
                        days_requested: 3
                        items:
                          - accounts:
                              - account_id: 3gE5gnRzNyfXpBK5wEEKcymJ5albGVUqg77gr
                                balances:
                                  available: 200
                                  current: 210
                                  iso_currency_code: USD
                                  limit: null
                                  unofficial_currency_code: null
                                days_available: 3
                                historical_balances:
                                  - current: 210
                                    date: '2020-06-04'
                                    iso_currency_code: USD
                                    unofficial_currency_code: null
                                  - current: 210
                                    date: '2020-06-03'
                                    iso_currency_code: USD
                                    unofficial_currency_code: null
                                  - current: 210
                                    date: '2020-06-02'
                                    iso_currency_code: USD
                                    unofficial_currency_code: null
                                mask: '1111'
                                name: Plaid Saving
                                official_name: Plaid Silver Standard 0.1% Interest Saving
                                owners:
                                  - addresses:
                                      - data:
                                          city: Malakoff
                                          country: US
                                          postal_code: '14236'
                                          region: NY
                                          street: 2992 Cameron Road
                                        primary: true
                                      - data:
                                          city: San Matias
                                          country: US
                                          postal_code: 93405-2255
                                          region: CA
                                          street: 2493 Leisure Lane
                                        primary: false
                                    emails:
                                      - data: accountholder0@example.com
                                        primary: true
                                        type: primary
                                      - data: accountholder1@example.com
                                        primary: false
                                        type: secondary
                                      - data: >-
                                          extraordinarily.long.email.username.123456@reallylonghostname.com
                                        primary: false
                                        type: other
                                    names:
                                      - Alberta Bobbeth Charleson
                                    phone_numbers:
                                      - data: '1112223333'
                                        primary: false
                                        type: home
                                      - data: '1112224444'
                                        primary: false
                                        type: work
                                      - data: '1112225555'
                                        primary: false
                                        type: mobile
                                ownership_type: null
                                subtype: savings
                                transactions: []
                                type: depository
                              - account_id: BxBXxLj1m4HMXBm9WZJyUg9XLd4rKEhw8Pb1J
                                balances:
                                  available: null
                                  current: 56302.06
                                  iso_currency_code: USD
                                  limit: null
                                  unofficial_currency_code: null
                                days_available: 3
                                historical_balances: []
                                mask: '8888'
                                name: Plaid Mortgage
                                official_name: null
                                owners:
                                  - addresses:
                                      - data:
                                          city: Malakoff
                                          country: US
                                          postal_code: '14236'
                                          region: NY
                                          street: 2992 Cameron Road
                                        primary: true
                                      - data:
                                          city: San Matias
                                          country: US
                                          postal_code: 93405-2255
                                          region: CA
                                          street: 2493 Leisure Lane
                                        primary: false
                                    emails:
                                      - data: accountholder0@example.com
                                        primary: true
                                        type: primary
                                      - data: accountholder1@example.com
                                        primary: false
                                        type: secondary
                                      - data: >-
                                          extraordinarily.long.email.username.123456@reallylonghostname.com
                                        primary: false
                                        type: other
                                    names:
                                      - Alberta Bobbeth Charleson
                                    phone_numbers:
                                      - data: '1112223333'
                                        primary: false
                                        type: home
                                      - data: '1112224444'
                                        primary: false
                                        type: work
                                      - data: '1112225555'
                                        primary: false
                                        type: mobile
                                ownership_type: null
                                subtype: mortgage
                                transactions: []
                                type: loan
                              - account_id: dVzbVMLjrxTnLjX4G66XUp5GLklm4oiZy88yK
                                balances:
                                  available: null
                                  current: 410
                                  iso_currency_code: USD
                                  limit: null
                                  unofficial_currency_code: null
                                days_available: 3
                                historical_balances:
                                  - current: 410
                                    date: '2020-06-04'
                                    iso_currency_code: USD
                                    unofficial_currency_code: null
                                  - current: 410
                                    date: '2020-06-03'
                                    iso_currency_code: USD
                                    unofficial_currency_code: null
                                  - current: 410
                                    date: '2020-06-02'
                                    iso_currency_code: USD
                                    unofficial_currency_code: null
                                mask: '3333'
                                name: Plaid Credit Card
                                official_name: Plaid Diamond 12.5% APR Interest Credit Card
                                owners:
                                  - addresses:
                                      - data:
                                          city: Malakoff
                                          country: US
                                          postal_code: '14236'
                                          region: NY
                                          street: 2992 Cameron Road
                                        primary: true
                                      - data:
                                          city: San Matias
                                          country: US
                                          postal_code: 93405-2255
                                          region: CA
                                          street: 2493 Leisure Lane
                                        primary: false
                                    emails:
                                      - data: accountholder0@example.com
                                        primary: true
                                        type: primary
                                      - data: accountholder1@example.com
                                        primary: false
                                        type: secondary
                                      - data: >-
                                          extraordinarily.long.email.username.123456@reallylonghostname.com
                                        primary: false
                                        type: other
                                    names:
                                      - Alberta Bobbeth Charleson
                                    phone_numbers:
                                      - data: '1112223333'
                                        primary: false
                                        type: home
                                      - data: '1112224444'
                                        primary: false
                                        type: work
                                      - data: '1112225555'
                                        primary: false
                                        type: mobile
                                ownership_type: null
                                subtype: credit card
                                transactions: []
                                type: credit
                            date_last_updated: '2020-06-05T22:47:52Z'
                            institution_id: ins_3
                            institution_name: Chase
                            item_id: eVBnVMp7zdTJLkRNr33Rs6zr7KNJqBFL9DrE6
                        user:
                          client_user_id: '123456789'
                          email: accountholder0@example.com
                          first_name: Alberta
                          last_name: Charleson
                          middle_name: Bobbeth
                          phone_number: 111-222-3333
                          ssn: 123-45-6789
                      request_id: eYupqX1mZkEuQRx
                      warnings: []
            examples:
              example-1:
                value:
                  sessionKey: string
                  customerId: string
                  plaidData:
                    transactionsResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            iso_currency_code: string
                            limit: null
                            unofficial_currency_code: null
                          mask: string
                          name: string
                          official_name: string
                          subtype: string
                          type: string
                      transactions:
                        - account_id: string
                          amount: 0
                          iso_currency_code: string
                          unofficial_currency_code: null
                          category:
                            - {}
                          category_id: string
                          check_number: null
                          date: string
                          datetime: null
                          authorized_date: string
                          authorized_datetime: null
                          location:
                            address: string
                            city: string
                            region: string
                            postal_code: string
                            country: string
                            lat: 0
                            lon: 0
                            store_number: string
                          name: string
                          merchant_name: string
                          payment_meta:
                            by_order_of: null
                            payee: null
                            payer: null
                            payment_method: null
                            payment_processor: null
                            ppd_id: null
                            reason: null
                            reference_number: null
                          payment_channel: string
                          pending: true
                          pending_transaction_id: null
                          account_owner: null
                          transaction_id: string
                          transaction_code: null
                          transaction_type: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        consent_expiration_time: null
                        error: null
                        institution_id: string
                        item_id: string
                        update_type: string
                        webhook: string
                      total_transactions: 0
                      request_id: string
                    authResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            limit: null
                            iso_currency_code: string
                            unofficial_currency_code: null
                          mask: string
                          name: string
                          official_name: string
                          subtype: string
                          type: string
                      numbers:
                        ach:
                          - account: string
                            account_id: string
                            routing: string
                            wire_routing: string
                        eft:
                          - account: string
                            account_id: string
                            institution: string
                            branch: string
                        international:
                          - account_id: string
                            bic: string
                            iban: string
                        bacs:
                          - account: string
                            account_id: string
                            sort_code: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        consent_expiration_time: null
                        error: null
                        institution_id: string
                        item_id: string
                        update_type: string
                        webhook: string
                      request_id: string
                    balanceResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            iso_currency_code: string
                          mask: string
                          name: string
                          official_name: string
                          subtype: string
                          type: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        institution_id: string
                        item_id: string
                        products:
                          - {}
                        update_type: string
                        webhook: string
                      request_id: string
                    identityResponse:
                      accounts:
                        - account_id: string
                          balances:
                            available: 0
                            current: 0
                            iso_currency_code: string
                            limit: null
                            unofficial_currency_code: null
                          mask: string
                          name: string
                          official_name: string
                          owners:
                            - addresses:
                                - data:
                                    city: string
                                    country: string
                                    postal_code: string
                                    region: string
                                    street: string
                                  primary: true
                              emails:
                                - data: string
                                  primary: true
                                  type: string
                              names:
                                - {}
                              phone_numbers:
                                - data: string
                                  primary: true
                                  type: string
                          subtype: string
                          type: string
                      item:
                        available_products:
                          - {}
                        billed_products:
                          - {}
                        consent_expiration_time: null
                        error: null
                        institution_id: string
                        item_id: string
                        update_type: string
                        webhook: string
                      request_id: string
                    assetsReportResponse:
                      report:
                        asset_report_id: string
                        client_report_id: string
                        date_generated: string
                        days_requested: 0
                        items:
                          - accounts:
                              - account_id: string
                                balances:
                                  available: 0
                                  current: 0
                                  iso_currency_code: string
                                  limit: null
                                  unofficial_currency_code: null
                                days_available: 0
                                historical_balances:
                                  - current: 0
                                    date: string
                                    iso_currency_code: string
                                    unofficial_currency_code: null
                                mask: string
                                name: string
                                official_name: null
                                owners:
                                  - addresses:
                                      - data:
                                          city: string
                                          country: string
                                          postal_code: string
                                          region: string
                                          street: string
                                        primary: true
                                    emails:
                                      - data: string
                                        primary: true
                                        type: string
                                    names:
                                      - string
                                    phone_numbers:
                                      - data: string
                                        primary: true
                                        type: string
                                ownership_type: null
                                subtype: string
                                transactions:
                                  - {}
                                type: string
                            date_last_updated: string
                            institution_id: string
                            institution_name: string
                            item_id: string
                        user:
                          client_user_id: string
                          email: string
                          first_name: string
                          last_name: string
                          middle_name: string
                          phone_number: string
                          ssn: string
                      request_id: string
                      warnings:
                        - {}
      responses: {}
      security:
        - {}
      servers:
        - url: https://api.sandbox.sardine.ai/v1
          description: Sandbox
        - url: https://api.sardine.ai/v1
          description: Prod Server

````